Get the results of the stock summary - current inventory report as an xlsx file

Body·
application/json
  • attributeDescription
    Type: string | null

    The product attribute description to filter by

  • batch
    Type: string | null

    The product batch to filter by

  • bestBeforeDate
    Type: string | nullFormat: date

    The product best before date to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • expiryDate
    Type: string | nullFormat: date

    The product expiry date to filter by

  • includeAttributes
    Type: boolean

    Includes the product attributes data

  • includeBatch
    Type: boolean

    Includes the product batch data

  • includeBestBeforeDate
    Type: boolean

    Includes the best before date of the product data

  • includeClient
    Type: boolean

    Includes the name of the client partner data

  • includeCriticalStockOnly
    Type: boolean

    If the report should only include critical stock

  • includeExpiryDate
    Type: boolean

    Includes the expiry date of the product data

  • includeIsCritical
    Type: boolean

    Includes the flag indicating if the stock is critical data

Responses
  • 200

    OK

Request Example for post/v1/reports/stock-summary/xlsx
curl https://api.consignlyhq.com/v1/reports/stock-summary/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "clientPartnerId": null,
  "warehouseId": null,
  "partnerProductId": null,
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "includeCriticalStockOnly": true,
  "productAttributeId": null,
  "attributeDescription": null,
  "includeClient": true,
  "includeProduct": true,
  "includeWarehouse": true,
  "includeLocation": true,
  "includeBatch": true,
  "includeBestBeforeDate": true,
  "includeExpiryDate": true,
  "includePackagingDate": true,
  "includeProductionDate": true,
  "includeSellByDate": true,
  "includeAttributes": true,
  "includeIsCritical": true,
  "includeProductGroup": true,
  "includeLogisticUnitNumber": true,
  "includeLogisticUnitSSCCNumber": true,
  "includeLogisticUnitReferenceNumber": true,
  "includeReceivedDate": true,
  "includeUnitTypeName": true,
  "includeSerial": true,
  "includeVolume": true,
  "includeWeight": true,
  "includeVirtualPalletQuantity": true
}'
No Body